/*  GSMP - General Sound Manipulation Program
 *  Copyright (C) 2000-2002 Kristian Peters, Ren Rebe and Valentin Ziegler
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* Short Description:
 *   The Button-bar.
 */

#ifndef BUTTON_BAR_HH
#define BUTTON_BAR_HH

#include "ToolkitBasics.hh"
#include <gtk--/toolbar.h>
#include <gtk--/tooltips.h>
#include <gtk--/eventbox.h>
#include "config.hh"

class ButtonBar : public Gtk::Toolbar
{
public:
  ButtonBar (GSMP::View* i_view);
private:
  /* Buttons, Events on them and Tooltips for them */
  ButtonGtk zoom_in, zoom_out, zoom_data, zoom_sel;
  ButtonGtk play, loop, stop;

  Gtk::EventBox eb_zoom_in, eb_zoom_out, eb_zoom_data, eb_zoom_sel;
  Gtk::EventBox eb_play, eb_loop, eb_stop;

  Gtk::Tooltips tt_zoom_in, tt_zoom_out, tt_zoom_data, tt_zoom_sel;
  Gtk::Tooltips tt_play, tt_loop, tt_stop;

  /* General gsmp stuff */
  GSMP::View* m_view;
  GSMP::Project* m_project;
};

#endif // BUTTON_BAR_HH
